Create environments with optional initial state
curl --request POST \
--url https://api.archal.ai/api/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"environments": [
"<string>"
],
"ttlSeconds": 7200,
"initialState": {}
}
'import requests
url = "https://api.archal.ai/api/sessions"
payload = {
"environments": ["<string>"],
"ttlSeconds": 7200,
"initialState": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({environments: ['<string>'], ttlSeconds: 7200, initialState: {}})
};
fetch('https://api.archal.ai/api/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"environmentIds": [
"<string>"
],
"environments": {},
"expiresAt": "<string>",
"certificationWarnings": [
{
"environmentId": "<string>",
"code": "<string>",
"message": "<string>",
"certification": {
"checkedAt": "2023-11-07T05:31:56Z",
"evidenceSha256": "<string>"
}
}
],
"lease": {
"expiresAt": "<string>",
"idleExpiresAt": "<string>",
"hardExpiresAt": "<string>",
"renewable": true
},
"workspace": {
"id": "<string>",
"name": "<string>"
}
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}API Reference
Create environments with optional initial state
POST
/
api
/
sessions
Create environments with optional initial state
Authorizations
Used by lifecycle, catalog, and state endpoints
Headers
Required string length:
1 - 200Body
application/json
Response
Environment session created
Minimum string length:
1Available options:
starting, ready, running, tearing_down, ended, expired, failed Minimum array length:
1Required string length:
1 - 80Show child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
